| Apache Ignite C++

Public Member Functions | List of all members
ignite::IgniteBinding Class Reference

Ignite Binding. More...

`#include <ignite_binding.h>`

## Public Member Functions
| IgniteBinding ()
| Default constructor.
| IgniteBinding (common::concurrent::SharedPointer< impl::IgniteBindingImpl > impl)
| Constructor. More...
template<typename P >
void | RegisterCacheEntryProcessor ()
| Register type as Cache Entry Processor. More...
template<typename P >
void | RegisterCacheEntryProcessor (IgniteError &err)
| Register Type as Cache Entry Processor. More...
template<typename F >
void | RegisterCacheEntryEventFilter ()
| Register type as Cache Entry Event Filter. More...
template<typename F >
void | RegisterComputeFunc ()
| Register type as Compute function. More...
bool | IsValid () const
| Check if the instance is valid. More...

## Detailed Description

Ignite Binding.

Used to register callable classes.

## Constructor & Destructor Documentation

## ◆ IgniteBinding()

ignite::IgniteBinding::IgniteBinding | ( | common::concurrent::SharedPointer< impl::IgniteBindingImpl > | impl | ) |
| inline

Constructor.

Parameters

  impl | Implementation.

## Member Function Documentation

## ◆ IsValid()

bool ignite::IgniteBinding::IsValid | ( |  | ) | const
| inline

Check if the instance is valid.

Invalid instance can be returned if some of the previous operations have resulted in a failure. For example invalid instance can be returned by not-throwing version of method in case of error. Invalid instances also often can be created using default constructor.

Returns
  True if the instance is valid and can be used.

## ◆ RegisterCacheEntryEventFilter()

template<typename F >

void ignite::IgniteBinding::RegisterCacheEntryEventFilter | ( |  | ) |
| inline

Register type as Cache Entry Event Filter.

Registred type should be a child of ignite::cache::event::CacheEntryEventFilter class.

## ◆ RegisterCacheEntryProcessor() [1/2]

template<typename P >

void ignite::IgniteBinding::RegisterCacheEntryProcessor | ( |  | ) |
| inline

Register type as Cache Entry Processor.

Registred type should be a child of ignite::cache::CacheEntryProcessor class.

## ◆ RegisterCacheEntryProcessor() [2/2]

template<typename P >

void ignite::IgniteBinding::RegisterCacheEntryProcessor | ( | IgniteError & | err | ) |
| inline

Register Type as Cache Entry Processor.

Registred type should be a child of ignite::cache::CacheEntryProcessor class.

Parameters

  err | Error.

## ◆ RegisterComputeFunc()

template<typename F >

void ignite::IgniteBinding::RegisterComputeFunc | ( |  | ) |
| inline

Register type as Compute function.

Registred type should be a child of ignite::compute::ComputeFunc class.

The documentation for this class was generated from the following file:

- ignite_binding.h